javafx.beans.value

## Interface WritableNumberValue

- All Superinterfaces:
    WritableValue<Number>
  All Known Subinterfaces:
    WritableDoubleValue, WritableFloatValue, WritableIntegerValue, WritableLongValue
  All Known Implementing Classes:
    DoubleProperty, DoublePropertyBase, FloatProperty, FloatPropertyBase, IntegerProperty, IntegerPropertyBase, JavaBeanDoubleProperty, JavaBeanFloatProperty, JavaBeanIntegerProperty, JavaBeanLongProperty, LongProperty, LongPropertyBase, ReadOnlyDoubleWrapper, ReadOnlyFloatWrapper, ReadOnlyIntegerWrapper, ReadOnlyLongWrapper, SimpleDoubleProperty, SimpleFloatProperty, SimpleIntegerProperty, SimpleLongProperty, SimpleStyleableDoubleProperty, SimpleStyleableFloatProperty, SimpleStyleableIntegerProperty, SimpleStyleableLongProperty, StyleableDoubleProperty, StyleableFloatProperty, StyleableIntegerProperty, StyleableLongProperty

      public interface WritableNumberValue
      extends WritableValue<Number>

  A tagging interface that marks all sub-interfaces of `WritableValue` that wrap a number.
  Since:
    JavaFX 2.0
  See Also:
    `WritableValue`, `WritableDoubleValue`, `WritableFloatValue`, `WritableIntegerValue`, `WritableLongValue`

- - ### Method Summary

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue, setValue`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.